@props([
    'href' => null,
    'direction' => 'col'
])

@php
    $attributes = $attributes
        ->merge([
            'data-direction' => $direction
        ])
        ->class([
            'card'
        ]);
@endphp


@if (!empty($href))
<a {{ $attributes->merge(['href' => $href]) }}>
    {{ $slot }}
</a>
@else
<div {{ $attributes }}>
    {{ $slot }}
</div>
@endif